Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
  1. Stores
  2. Create a store

Create a store

Create a store to export data to, under current workspace

POST/v0/stores
Authorisations
AuthorizationString
Request Body
namestringrequired
Unique user friendly name for easier identificationExample: "my-analysis-store"
typestringrequired
Type of bucket depending on the cloud provider. Currently Supported - S3, AZBLOB, GCSExample: "S3"
configsobjectrequired
Show child attributes
secretsobjectrequired
Credentials to be used for transferring data to specified bucket These vary for each cloud provider - - **S3** - `access_key_id`, `secret_access_key` - **AZBLOB** - `account_name`, `tenant_id`, `client_id`, `client_secret` - **GCS** - `project_id`, `service_account_credentials`
labelsobject
User defined labels for metadataExample: {"env":"prod","team":"data"}
Response
application/json
OK
idstring
Identifier to be used while transferring dataExample: "576d8241-6e78-40ad-b3e6-295edbfe71f5"
namestring
Unique user friendly name for easier identificationExample: "my-analysis-store"
typestring
Type of bucket depending on the cloud provider. Currently Supported - S3, AZBLOB, GCSExample: "S3"
configsobject
Show child attributes
labelsobject
User defined labels for metadataExample: {"env":"prod","team":"data"}
created_atstring
Store creation timeExample: "2024-03-20T15:04:05Z"
updated_atstring
Store last updated timeExample: "2024-03-20T15:04:05Z"
created_bystring
Identifier of the user that created storeExample: "ea2a79fc-6f68-40d7-8b79-18195bf74872"
Create a store
cURL
Python
Go
TypeScript
1curl -X POST 'https://api.pixxel.space/v0/stores' \
2 -H 'Authorization: YOUR_API_KEY' \
3 -H 'Content-Type: application/json' \
4 -d '{
5 "name": "my-analysis-store",
6 "type": "S3",
7 "configs": null,
8 "secrets": {},
9 "labels": {
10 "env": "prod",
11 "team": "data"
12 }
13}'
Response:
{
"id": "576d8241-6e78-40ad-b3e6-295edbfe71f5",
"name": "my-analysis-store",
"type": "S3",
"configs": null,
"labels": {
"env": "prod",
"team": "data"
},
"created_at": "2024-03-20T15:04:05Z",
"updated_at": "2024-03-20T15:04:05Z",
"created_by": "ea2a79fc-6f68-40d7-8b79-18195bf74872"
}
List storesDelete a store